/// \file FRM_Music.h
/// \date 2007/12/17
/// \author Peter Dodds
/// \brief
/// \note Copyright (C) 2007 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _FRM_Music_h_
#define _FRM_Music_h_

#include <SDL/SDL_mixer.h>

namespace FRM
{
  class Sound;

	/// \brief
	class Music
	{
    friend class Sound;
		//---------------------------------------
		/// \brief Default Constructor
		Music();
		//---------------------------------------
		/// \brief Destructor
    ~Music();

  public:
    bool Load (const char* filename);
    void Unload ();

    bool Play (const int loops = 0);
    void Stop ();

    bool isPlaying;

  private:
    Mix_Music* data;
	};
}

#endif
