/// \file FTexture.h
/// \date 2007/12/03
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2007 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _FRM_Texture_h_
#define _FRM_Texture_h_

#include <string>
#include <vector>

namespace FRM 
{
  class FTexture
  {
  public:
    FTexture ();
    FTexture (const char* filename);
    ~FTexture ();

    static void Init ();

    bool Load (const char* filename = 0);
    void Unload ();

    int tID () { return m_tID; }
    unsigned GetHeight () { return m_h; }
    unsigned GetWidth () { return m_w; }

  private:
    int m_tID;

    unsigned m_h, m_w;
    std::string m_filename;

    static bool initialised;
  };
}

#endif
