/// \file Utl.h
/// \date 2007/11/19
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2007 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _MCG_Utl_h_
#define _MCG_Utl_h_

#include "Def.h"
#include "Vector2.h"
#include "Vector3.h"

namespace MCG
{
	bool within(const Vector2& subject, const Vector2& upper, const Vector2& lower );
  bool within(const Vector3& subject, const Vector3& upper, const Vector3& lower );

  Real distToLineSquared(const Vector2& subject, const Vector2& pntA, const Vector2& pntB);
  Real distToLine(const Vector2& subject, const Vector2& pntA, const Vector2& pntB);

  Real distToLineSegmentSquared(const Vector2& subject, const Vector2& pntA, const Vector2& pntB);
  Real distToLineSegment(const Vector2& subject, const Vector2& pntA, const Vector2& pntB);
}

#endif
