/// \file Instance.cpp
/// \date 2008/02/15
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#include "Instance.h"

namespace Roach
{
  unsigned Instance::_nextID = 1; // set _nextID to start condition

  //------------------------------------------------ Instance::Instance
  Instance::Instance() 
    : m_id (GetUniqueID()),
    m_width (10), m_height (10), m_centreX (5), m_centreY (5)
  {
    m_T.TranslateManual(-m_centreX,-m_centreY,0,true);
  }
}