/// \file Unit.h
/// \date 2008/02/17
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _Roach_Unit_h_
#define _Roach_Unit_h_

#include <BUG/AiAgent.h>
#include <BUG/AiDef.h>
#include "Application.h"

namespace Roach
{
	/// \brief
  class Unit : public BUG::AiAgent 
	{
	public:
		//---------------------------------------
		/// \brief Default Constructor
		Unit(unsigned _instanceID = 0);
		//---------------------------------------
		/// \brief Destructor
		~Unit();
		
  protected:
    void Translate (const BUG::Real& _x, const BUG::Real& _y);
    void Rotate (const BUG::Real& _r);
    virtual void GetTranslation (BUG::Real& _x, BUG::Real& _y);
    virtual void GetRotation (BUG::Real& _r);

  public:
    unsigned m_instanceID;
		
	};
}

#endif