/// \file Sound.h
/// \date 2007/12/17
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2007 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _FRM_Sound_h_
#define _FRM_Sound_h_

#include <vector>

#include "FRM_Effect.h"
#include "FRM_Music.h"

namespace FRM
{
	/// \brief
	class Sound
	{
	public:
		//---------------------------------------
		/// \brief Default Constructor
		Sound();
		//---------------------------------------
		/// \brief Destructor
		~Sound();
		
		void Init ();
    void Update ();

    Effect* NewEffect (const char* filename = 0);
    bool DeleteEffect (Effect* E);

    Music* music;
    std::vector<Effect*> effects;
	};
}

#endif

