/// \file AiManager.cpp
/// \date 2008/02/17
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#include "AiManager.h"
#include "AiAgent.h"

namespace BUG
{
  AiManager* AiManager::m_singleton = 0;

  //------------------------------------------------ AiManager::Update
  void AiManager::Update( unsigned dt )
  {
    std::map<unsigned,AiAgent*>::iterator it = m_agents.begin();
    for (;it!=m_agents.end();++it)
    {
      (*it).second->Ai_Update(dt);
    }
  }
}