/// \file AiOrder.h
/// \date 2008/02/27
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _BUG_AiOrder_h_
#define _BUG_AiOrder_h_

#include "AiDef.h"

namespace BUG
{
	/// \brief
	class AiOrder
	{
  public:
		//---------------------------------------
		/// \brief Default Constructor
		/// \param "const BUGu8 type" id to distiguis the order
		/// \param "const BUGu32 life" how long to keep processing
		AiOrder(const BUGu8 type, const BUGu32 life = 0)
      : m_type (type), m_life (life)
    { }
		//---------------------------------------
		/// \brief Destructor
		virtual ~AiOrder() {}

    // -----------------------------------
    /// \brief get the type of order
    /// \returns "BUGu8" the type
    BUGu8 GetType () { return m_type; }

    BUGu32 m_life;

  private:
    BUGu8 m_type;
	};
}

#endif