/// \file AssetManager.cpp
/// \date 2008/02/15
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#include "AssetManager.h"

namespace Roach
{
	

  //------------------------------------------------ AssetManager::AssetManager
  AssetManager::AssetManager()
  {

  }

  //------------------------------------------------ AssetManager::~AssetManager
  AssetManager::~AssetManager()
  {
    std::vector<FRM::FTexture*>::iterator t_it = m_textures.begin();
    for (;t_it!=m_textures.end();++t_it)
      delete (*t_it);
  }

  //------------------------------------------------ AssetManager::LoadTexture
  FRM::FTexture* AssetManager::LoadTexture( const char* filename )
  {
    FRM::FTexture* n_texture = new FRM::FTexture (filename);
    m_textures.push_back(n_texture);
    return n_texture;
  }
}