/// \file AssetManager.h
/// \date 2008/02/15
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _Roach_AssetManager_h_
#define _Roach_AssetManager_h_

#include <vector>
#include <FRM/FRM_Texture.h>

namespace Roach
{
	/// \brief
	class AssetManager
	{
	public:
		//---------------------------------------
		/// \brief Default Constructor
		AssetManager();
		//---------------------------------------
		/// \brief Destructor
		~AssetManager();
		
    FRM::FTexture* LoadTexture (const char* filename);

  protected:
    std::vector<FRM::FTexture*> m_textures;
	};
}

#endif