/// \file BShape.h
/// \date 2008/02/17
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _Roach_BShape_h_
#define _Roach_BShape_h_

#include <MCG/Def.h>

namespace Roach
{
	/// \brief Bounding Shape, used for collisions and 
	class BShape
	{
	public:
		//---------------------------------------
		/// \brief Default Constructor
		BShape()
      : bb_width (5), bb_height (5)
    {}
		//---------------------------------------
		/// \brief Destructor
		~BShape() {}
		
    MCG::Real bb_width, bb_height;
	};
}

#endif