/// \file Input.h
/// \date 2008/01/24
/// \author Peter Dodds
/// \brief 
/// \note Copyright (C) 2008 - All Rights Reserved
//------------------------------------------------------------------------------

#ifdef _MSC_VER
#pragma once
#endif

#ifndef _Roach_Input_h_
#define _Roach_Input_h_

#include <FRM/FRM_Input.h>

namespace Roach
{
	/// \brief
  class Input : public FRM::FRM_InputMngr
	{
	public:
		//---------------------------------------
		/// \brief Default Constructor
		Input();
		//---------------------------------------
		/// \brief Destructor
		~Input();
		
    void MouseButtonDown();
    void MouseButtonUP();
    void MouseMotion();
    void KeyDown();
    void Check_KeyState();
    void Quit();
  };
}

#endif